#!/bin/bash
#SBATCH --partition=public
#SBATCH --job-name=amberSerial
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH -o slurm.%N.%j.out # STDOUT 
#SBATCH -e slurm.%N.%j.err # STDERR

# Change to the directory where the job was submitted
cd $SLURM_SUBMIT_DIR

# Cargar modulo
module purge
module use /opt/apps/easybuild/modules/all
module load Amber/22

cat << eof > min.in
!min
&cntrl
  imin=1,maxcyc=5000,ncyc=1000,
  cut=8.0,ntb=1,
  ntc=2,ntf=2,
  ntpr=100,
!  ntr=1, restraintmask=':1-12',
!  restraint_wt=2.0
/
eof

# Run sander serial
sander  -O \
        -i min.in \
        -o min.out \
        -r min.rst \
        -ref parm.crd \
        -x min.cor \
        -e min.ene \
        -inf min.info \
        -c parm.crd \
        -p parm.top

